unit uDialogOpcionesImpresionAlbaranesCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uDialogBase, ActnList, StdCtrls, ExtCtrls;

type
  TfDialogOpcionesImpresionAlbaranesCliente = class(TfDialogBase)
    cbVerPrecios: TCheckBox;
    cbVerRefProveedor: TCheckBox;
    cbVerIncidencias: TCheckBox;
    cbVerObservaciones: TCheckBox;
    procedure actAceptarExecute(Sender: TObject);
    procedure actCancelarExecute(Sender: TObject);
  end;

  function ElegirOpcionesImpresionAlbaranCliente(var AVerPrecios : Boolean; var AVerRefProveedor : Boolean; var AVerObservaciones : Boolean; var AVerIncidencias : Boolean): Boolean;

implementation

{$R *.dfm}

function ElegirOpcionesImpresionAlbaranCliente(var AVerPrecios : Boolean; var AVerRefProveedor : Boolean; var AVerObservaciones : Boolean; var AVerIncidencias : Boolean): Boolean;
var
  AEditor : TfDialogOpcionesImpresionAlbaranesCliente;
begin
  AEditor := TfDialogOpcionesImpresionAlbaranesCliente.Create(NIL);
  try
    AEditor.cbVerPrecios.Checked := AVerPrecios;
    AEditor.cbVerRefProveedor.Checked := AVerRefProveedor;
    AEditor.cbVerObservaciones.Checked := AVerObservaciones;
    AEditor.cbVerIncidencias.Checked := AVerIncidencias;


    Result := (AEditor.ShowModal = mrOk);
    if Result then
    begin
      AVerPrecios := AEditor.cbVerPrecios.Checked;
      AVerRefProveedor := AEditor.cbVerRefProveedor.Checked;
      AVerObservaciones := AEditor.cbVerObservaciones.Checked;
      AVerIncidencias := AEditor.cbVerIncidencias.Checked;
    end;
  finally
    AEditor.Release;
  end;
end;

procedure TfDialogOpcionesImpresionAlbaranesCliente.actAceptarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrOk
end;

procedure TfDialogOpcionesImpresionAlbaranesCliente.actCancelarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrCancel;
end;

end.
